Bug 968373 - Package does not work with R 3 - needs to be rebuilt
Package does not work with R 3 - needs to be rebuilt
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: R-pls (Show other bugs)
18
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Pierre-YvesChibon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 10:55 EDT by Ben Webb
Modified: 2013-08-09 13:01 EDT (History)
1 user (show)

See Also:
Fixed In Version: R-pls-2.3.0-5.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-06 23:02:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Webb 2013-05-29 10:55:16 EDT
Description of problem:
R extensions need to be rebuilt for R 3.0, and for some reason R-pls was not, making it unusable.

Version-Release number of selected component (if applicable):
R-pls-2.3.0-3.fc18.noarch

How reproducible:
Always.

Steps to Reproduce:
1. Start R by typing 'R' at a command prompt.
2. Type 'require(pls)' at the R prompt.

Actual results:
Fails to load with the error:
Loading required package: pls
Failed with error:  ‘package ‘pls’ was built before R 3.0.0: please re-install it’

Expected results:
Package loads OK.
Comment 1 Pierre-YvesChibon 2013-05-29 11:37:46 EDT
Somehow it skipt the rebuild, thanks for the heads-up
Comment 2 Fedora Update System 2013-05-29 11:37:55 EDT
R-pls-2.3.0-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/R-pls-2.3.0-5.fc18
Comment 3 Fedora Update System 2013-05-29 11:38:04 EDT
R-pls-2.3.0-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/R-pls-2.3.0-5.fc19
Comment 4 Fedora Update System 2013-05-29 23:01:29 EDT
Package R-pls-2.3.0-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing R-pls-2.3.0-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9614/R-pls-2.3.0-5.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-06-06 23:02:38 EDT
R-pls-2.3.0-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-08-09 13:01:42 EDT
R-pls-2.3.0-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.